I have installed Netbeans v6.5 Beta and the instructions say I need JDK version 5 or higher. How do I know what version is installed and what is the highest version my operating system will support?

Many thanks.

1.8Ghz G5 PowerPC, 2GB RAM, OS X Leopard 10.5.4